#ifndef RANKING_HPP
#define RANKING_HPP

#include "defs.hpp"


class ranking_t
{
public:
	ranking_t();

	void load();
	void save();

	void update(int new_score);
	int score(int index) const { return M_scores[index]; }
	int update_index() const { return M_update_index; }
	void clear() { M_update_index = -1; }

private:
	void _copy_file(const char* src, const char* dst);

private:
	int M_scores[ranking_size];
	int M_update_index;
};


#endif // RANKING_HPP
