#ifndef DEFS_HPP
#define DEFS_HPP


const char* const name = "ttrs";
const int framerate = 50;
const int width = 250;
const int height = 250;

const char* const last_relay_file = "replay.dat";
const char* const save_file = "scores.dat";

const int ranking_size = 5;

const unsigned int background_color = 0x2b2b2b;

const int block_size = 10;
const int mino_size = 4;
const int field_width = 10;
const int field_height = 21;

enum {
	t_type,
	j_type,
	l_type,
	z_type,
	s_type,
	i_type,
	o_type,
	number_of_minos
};

const unsigned int colors[] = {
	0xffffff,
	0xbce2e8,
	0x0095d9,
	0xee7800,
	0x3eb370,
	0x884898,
	0xe60033,
	0xffd900,
};


#endif // DEFS_HPP
